function IsShaded = calculateIsShaded2(SolarCondition)
%interpreted MATLAB Fcnsingle input and single output
I=SolarCondition(1);
SolarX=SolarCondition(2);
SolarY=SolarCondition(3);
SolarZ=SolarCondition(4);

%%
%

%1
Wing1_X=-6.1;
Wing1_Z=-8.7;
Wing1_Chord=2;
Wing1_Length=-15;%չγΪʾԳƵ
Wing1_SweepAngle=0;
Wing1_Dihedral=0;%Ϸ

%ڵ2
Wing2_X=0;
Wing2_Z=0;
Wing2_Chord=2;
Wing2_Length=15;%չγΪʾԳƵ
Wing2_Sweep=0;%ӽ
Wing2_Dihedral=30;%Ϸ

%ڵ2̫ܵصز
Nparallel=3;%ز
Nseries=6;%һƬ

%%
%ת

% طֲڱ߳Ϊ1ڲ㣬֮ӳ䵽ϣ
% ŷʽʾ
% x
% |
% |y
% | 1  2  3   4  5  6
% | 7  8  9   10 11 12
% | 13 14  15 16 17 18
% |
Solarset=zeros(3,Nparallel*Nseries);%Ƭóʼ
for j=0:Nparallel-1
    Solarset(1,Nseries*j+1:Nseries*(j+1))=-1/Nparallel/2*ones(1,Nseries)-j/Nparallel;
    Solarset(2,Nseries*j+1:Nseries*(j+1))=1/Nseries/2:1/Nseries:1;
end
%Ƭתtoڻϵ
CellPoint=[Wing2_X;0;Wing2_Z]*ones(1,Nparallel*Nseries)+[Wing2_Chord,-abs(Wing2_Length)*tand(Wing2_Sweep),0;
   0,Wing2_Length,0;
   0,-abs(Wing2_Length)*tand(Wing2_Dihedral),0]*Solarset;

%Ľǵ
Plane1=[Wing1_X,Wing1_X-Wing1_Chord,Wing1_X-abs(Wing1_Length)/2*tand(Wing1_SweepAngle)-Wing1_Chord,Wing1_X-abs(Wing1_Length)/2*tand(Wing1_SweepAngle);
    0,0,Wing1_Length,Wing1_Length;
    Wing1_Z,Wing1_Z,Wing1_Z-abs(Wing1_Length)/2*tand(Wing1_Dihedral),Wing1_Z-abs(Wing1_Length)/2*tand(Wing1_Dihedral)];

%Ľǵ
Plane2=[Wing2_X,Wing2_X-Wing2_Chord,Wing2_X-abs(Wing2_Length)*tand(Wing2_Sweep)-Wing2_Chord,Wing2_X-abs(Wing2_Length)*tand(Wing2_Sweep);
    0,0,Wing2_Length,Wing2_Length;
    Wing2_Z,Wing2_Z,Wing2_Z-abs(Wing2_Length)*tand(Wing2_Dihedral),Wing2_Z-abs(Wing2_Length)*tand(Wing2_Dihedral)];


%%
%㣺ͨģ͵õպͽǶ

Direction=[SolarX;SolarY;SolarZ];

%%
%ڵ

% Plane1(:,i)Directionֱ߷Ϊ
% (x-Plane1(1,i))/SolarX=(y-Plane1(2,i))/SolarY=(z-Plane1(3,i))/SolarZ
% ĵƽķΪ
% cross((Plane2(:,2)-Plane2(:,1)),(Plane2(:,3)-Plane2(:,1)))
% ƽ淽Ϊ
% ([x;y;z]-Plane2(:,1))'*cross((Plane2(:,2)-Plane2(:,1)),(Plane2(:,3)-Plane2(:,1)))=0
% ̵
% [Plane1(1,i)*SolarY-Plane1(2,i)*SolarX;
% Plane1(1,i)*SolarZ-Plane1(3,i)*SolarX;
% Plane2(:,i)'*cross((Plane2(:,2)-Plane2(:,1)),(Plane2(:,3)-Plane2(:,1)))]
% =[SolarY,-SolarX,0;SolarZ,0,-SolarX;
% NormalVector2(1),NormalVector2(2),NormalVector2(3)]*[x;y;z]
% ˣ
NormalVector2=cross((Plane2(:,2)-Plane2(:,1)),(Plane2(:,3)-Plane2(:,1)));%2ڵƽ棩
%õͶӰľ󣨼Ӱĸ꣩
Shadow=zeros(3,4);%Ӱǵʼ
for j=1:4
    Shadow(:,j)=[SolarY,-SolarX,0;SolarZ,0,-SolarX;
        NormalVector2(1),NormalVector2(2),NormalVector2(3)]^(-1)*[Plane1(1,j)*SolarY-Plane1(2,j)*SolarX;
        Plane1(1,j)*SolarZ-Plane1(3,j)*SolarX;
        Plane2(:,j)'*cross((Plane2(:,2)-Plane2(:,1)),(Plane2(:,3)-Plane2(:,1)))];
end


% ӰΧжǷڵ
% ShadowΪıӰĸ꣬34
% CellPointΪڵ㣬3n
% IsShaded011Ϊõ㱻ڵˣ1n
[~,n]=size(CellPoint);
IsShaded=zeros(1,n);
for j=1:n
    %ͨȷ
    %P͹ڲPABCDPAPBPBPCPCPDPDPA֮ͬ
    c12=cross(CellPoint(:,j)-Shadow(:,1),CellPoint(:,j)-Shadow(:,2));%PAPB
    c23=cross(CellPoint(:,j)-Shadow(:,2),CellPoint(:,j)-Shadow(:,3));%PBPC
    c34=cross(CellPoint(:,j)-Shadow(:,3),CellPoint(:,j)-Shadow(:,4));%PCPD
    c41=cross(CellPoint(:,j)-Shadow(:,4),CellPoint(:,j)-Shadow(:,1));%PDPA
    if dot(c12,c23)>0&&dot(c23,c34)>0&&dot(c34,c41)>0||dot(c12,c23)<0&&dot(c23,c34)<0&&dot(c34,c41)<0
        IsShaded(1,j)=1;
    else
        IsShaded(1,j)=0;
    end
end

% % ڵͼ
% figure(20)
% plot3([Plane2(1,:),Plane2(1,1)],[Plane2(2,:),Plane2(2,1)],[Plane2(3,:),Plane2(3,1)]);%ڵ2
% hold on
% plot3([Plane1(1,:),Plane1(1,1)],[Plane1(2,:),Plane1(2,1)],[Plane1(3,:),Plane1(3,1)]);%1
% plot3([Shadow(1,:),Shadow(1,1)],[Shadow(2,:),Shadow(2,1)],[Shadow(3,:),Shadow(3,1)]);%ӰΧ
% plot3(CellPoint(1,:),CellPoint(2,:),CellPoint(3,:),'*');%λ
% hold off



