figure('color','white')


hold on

% 
%Z colorful:
% surf(ele/pi*180,azi/pi*180,flipud(P_straight')/22600.8,'edgecolor','k','FaceColor','y')
% surf(ele/pi*180,azi/pi*180,flipud(P_Z10_recalculated')/22600.8,'edgecolor','none','FaceColor','r')
% surf(ele/pi*180,azi/pi*180,flipud(P_Z20_recalculated')/22600.8,'edgecolor','none','FaceColor','g')
% surf(ele/pi*180,azi/pi*180,flipud(P_Z30_recalculated')/22600.8,'edgecolor','none','FaceColor','b')
% alpha(0.7)



% surf(ele,azi,P_Z25'/22600.8,'edgecolor','y')
%surf(ele/pi*180,azi/pi*180,flipud(P_triangle')/22600.8,'edgecolor','none','FaceColor','b')

 surf(ele/pi*180,azi/pi*180,(flipud(P_triangle'))/22600.8,'edgecolor','none','FaceColor','r')
 surf(ele/pi*180,azi/pi*180,(flipud(P_triangle30'))/22600.8,'edgecolor','none','FaceColor','b')
alpha(0.5)

%legend('Straight','Dihedral=10\circ','Dihedral=20\circ','Dihedral=30\circ');
legend('Dihedral=10\circ','Dihedral=30\circ')

%contour3(ele,azi,P_Z30'/22600,50)

set(gca,'Fontname', 'Times New Roman','FontWeight','norm','FontSize',16)
set(gca,'position',[0.1,0.11,0.88,0.83]) 
set(gcf,'Position',[100 80 800 500])
grid on
xlabel('Elevation(\circ)')
ylabel('Azimuth(\circ)')
zlabel('Energy Factor')
axis([0 90 0 180 0 1])
set(gca,'PlotBoxAspectRatio',[1 1 1]);