load('C:\Users\Administrator\Desktop\jxz\AllData.mat')
load('XYZsolar.mat')

figure('color','white')
hold on
set(gca,'Fontname', 'Times New Roman','FontWeight','norm','FontSize',16)
grid on

R=32;
Nangle=30;

ele=linspace(1e-6,pi/2-1e-6,Nangle);
azi=linspace(1e-6,pi-1e-6,Nangle);

X=R*cos(ele)'*cos(azi);
Y=R*cos(ele)'*sin(azi);
Z=-R*sin(ele)'*ones(1,Nangle);
% surf(X,Y,Z,fliplr(P_triangle)/22600.8,'edgecolor','none')
% surf(X,-Y,Z,fliplr(P_triangle)/22600.8,'edgecolor','none')
% surf(ele*180/pi,azi*180/pi,flipud(P_triangle')/22600.8,'edgecolor','none')
% alpha(0.6)
% 
% xlabel('X')
% ylabel('Y')
% zlabel('Z')
% set(gca,'ZDir','reverse')
% set(gca,'DataAspectRatio',[1 1 1]);
% set(gca,'PlotBoxAspectRatio',[1 1 1]);
% axis([-R R -R R -R 0])

Isolar=Ir0906(2,:);
Xsolar=-Ir0906(3,:);
Ysolar=-Ir0906(4,:);
Zsolar=-Ir0906(5,:);

% plot3(R*Xsolar,R*Ysolar,R*Zsolar,'LineWidth',2,'Color','k')
%%
%figure('color','white')
hold on
Lsolar=sqrt(Xsolar.^2+Ysolar.^2+Zsolar.^2);
ElevationSolar=-asind(Zsolar./(Lsolar));
AzimuthSolar=acosd(Ysolar./(Lsolar.*cosd(ElevationSolar)));
OptAzimuthSolar=interp1(ele/pi*180,nazi3*6-6,ElevationSolar);
EFSolar=zeros(1,2401);
for i=1:2401
    if (pi/180*ElevationSolar(i)<pi/2-1e-6)&&(pi/180*ElevationSolar(i)>0)
        EFSolar(i)=interp2(ele,azi,flipud(P_triangle')/22600.8,pi/180*ElevationSolar(i),pi/180*AzimuthSolar(i),'spline');
    else
        EFSolar(i)=0;
    end
end


t1=linspace(0,24,2401);
t2=linspace(0,24,240001);
PsolarInterp=interp1(t2,2*Psimulated_initial12+Psimulated_initial3+Psimulated_initial4,t1);
plot(t1,EFSolar.*Isolar*18*4*0.31446);
Estimation_EF=sum(EFSolar.*Isolar*18*4*0.31446/2401*24);
plot(t1,PsolarInterp);
Simulation=sum((2*Pinitial12+Pinitial3+Pinitial4)/240001*24);
%plot(t2,(2*Pinitial12gu+Pinitial3gu+Pinitial4gu));
Estimation_eff=sum((2*Pinitial12gu+Pinitial3gu+Pinitial4gu)/240001*24);
xlabel('Time(h)')
ylabel('output power')
% title('Energy Acquisition of Wing Section 3')
%title('Output Characteristics')
% set(gca,'XTick',[])
% set(gca,'YTick',[])
% set(gca,'XTicklabel',{'0','1','2','3','4','5','6','7','8','9','10','11','12','13','14','15','16','17','18','19','20','21','22','23','24'})
%axis([0 350 0 5000])

set(gca,'XTick',0:1:24)
set(gca,'XTicklabel',{'0','1','2','3','4','5','6','7','8','9','10','11','12','13','14','15','16','17','18','19','20','21','22','23','24'})
axis([0 24 0 20000])

% legend('I-V','P-V');
set(gca,'Fontname', 'Times New Roman','FontWeight','norm','FontSize',16)
set(gca,'position',[0.1,0.11,0.88,0.83]) 
set(gcf,'Position',[100 80 800 500])

grid on


