figure('color','white')
hold on

Ebar_3_overlap_sim=[38.314,30.31,25.133,21.471,15.364,11.679];
Ebar_3_overlap_est=[39.954,34.920,30.105,26.292,21.620,17.515];
Ebar_4_overlap_sim=[36.270,29.673,23.873,20.494,14.576,10.462];
Ebar_4_overlap_est=[37.849,33.623,28.659,24.818,19.911,15.527];

bar(Ebar_3_overlap_est,0.8,'c')
bar(Ebar_3_overlap_sim,0.8,'y')


for i=1:6
text(i-0.4,Ebar_3_overlap_est(i)+1,num2str(Ebar_3_overlap_est(i),4),'Fontname', 'Times New Roman','FontWeight','norm','FontSize',12);
text(i-0.4,(Ebar_3_overlap_sim(i)+Ebar_3_overlap_est(i))/2,strcat(num2str((Ebar_3_overlap_est(i)-Ebar_3_overlap_sim(i))/Ebar_3_overlap_sim(i)*100,3),'%'),'Fontname', 'Times New Roman','FontWeight','norm','FontSize',12);
text(i-0.4,Ebar_3_overlap_sim(i)-1.2,num2str(Ebar_3_overlap_sim(i),4),'Fontname', 'Times New Roman','FontWeight','norm','FontSize',12);

end


legend('Relative Difference','Simulation')
xlabel('Proportion of overlapping area')
set(gca,'XTick',0:7)
set(gca,'XTicklabel',{'','ref','0%','25%','50%','75%','100%'})
ylabel('Total energy(kWh)')
set(gca,'Fontname', 'Times New Roman','FontWeight','norm','FontSize',16)